#
# Conditional build:
%bcond_without	dist_kernel	# allow non-distribution kernel
%bcond_without	kernel		# don't build kernel modules
%bcond_with	verbose		# verbose build (V=1)

%define		rel	14
%define		pname	linuxrdac
Summary:	RDAC Multi-Path Proxy Driver for Linux
Name:		%{pname}%{_alt_kernel}
Version:	09.03.0C06.0452.2
Release:	%{rel}
License:	GPLv2
Group:		Base/Kernel
Source0:	linuxrdac-%{version}-mktarball.dkms.tgz
# Source0-md5:	da1dadb0d8ac09661bb407386a212a82
Patch0:		linuxrdac-linux-2.6.39.patch
Patch1:		linuxrdac-linux-3.4.patch
#URL:		-
BuildRequires:	rpmbuild(macros) >= 1.379
%{?with_dist_kernel:BuildRequires:	kernel%{_alt_kernel}-module-build >= 3:2.6.20.2}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
RDAC Multi-Path Proxy Driver for Linux.

%package -n kernel%{_alt_kernel}-scsi-mpprdac
Summary:	RDAC Multi-Path Proxy Driver for Linux
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):	%releq_kernel
%endif

%description -n kernel%{_alt_kernel}-scsi-mpprdac
RDAC Multi-Path Proxy Driver for Linux.

%prep
%setup -q -c
mv dkms_source_tree/* .
%patch0 -p1
%patch1 -p2

%build
%{__make} -j1 \
	KERNEL_OBJ=%{_kernelsrcdir}

%install
rm -rf $RPM_BUILD_ROOT

%install_kernel_modules -m mppVhba,mppUpper -d kernel/drivers/scsi

%clean
rm -rf $RPM_BUILD_ROOT

%post -n kernel%{_alt_kernel}-scsi-mpprdac
%depmod %{_kernel_ver}

%postun -n kernel%{_alt_kernel}-scsi-mpprdac
%depmod %{_kernel_ver}

%files -n kernel%{_alt_kernel}-scsi-mpprdac
%defattr(644,root,root,755)
%doc Readme.txt
/lib/modules/%{_kernel_ver}/kernel/drivers/scsi/*.ko*
%changelog
* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> f413412
- Rebuild for kernel 3.4.10
- release 14 (by relup.sh)

* Fri Aug 10 2012 Jan Rękorajski <baggins@pld-linux.org> 6b9e706
- rebuild for kernel.spec:auto/th/kernel-3.4.8-1 /home/users/baggins/devel/PLD/rpm/packages
- release 13 (by relup.sh)

* Sun Jul 22 2012 Paweł Sikora <pawel.sikora@agmk.net> 56cbf5b
bump release for rebuild with kernel-3.4.6-1

* Sun Jul 01 2012 Elan Ruusamäe <glen@pld-linux.org> 03d3bd3
- spec simplify, package readme (even deprecated)

* Sun Jul 01 2012 Jan Rękorajski <baggins@pld-linux.org> 1b0c531
- rel 11

* Sun Jul 01 2012 Jan Rękorajski <baggins@pld-linux.org> cd49f6c
- asm/system.h is gone in linux 3.4

* Sat Jun 23 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> a916c93
- rebuild for kernel-3.4.4-1
- release 10 (by relup.sh)

* Fri Jun 22 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 34ef0c1
- rebuild for kernel-3.4.3-1
- release 9 (by relup.sh)

* Fri Jun 22 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> a51256f
- rebuild for kernel-3.4.3-1
- release 8 (by relup.sh)

* Tue Jun 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 75d855e
- release 7
  (by relup.sh)

* Wed May 23 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 43c43a8
- release 6

* Sun May 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 07e5baf
- release 5

* Tue May 08 2012 Jan Rękorajski <baggins@pld-linux.org> c73a890
- release 4

* Sat Apr 28 2012 Jan Rękorajski <baggins@pld-linux.org> fc07b4d
- release 3

* Sat Apr 28 2012 Jan Rękorajski <baggins@pld-linux.org> f993fd9
- renamed main package to linuxrdac

* Tue Mar 20 2012 Jan Rękorajski <baggins@pld-linux.org> da5a82e
- release 2

* Wed Mar 07 2012 Jan Rękorajski <baggins@pld-linux.org> 4c4b922
- rel 1

* Wed Mar 07 2012 Jan Rękorajski <baggins@pld-linux.org> 01a67c3
- multipath driver for Dell PowerVault MD3000/MD3000i

